summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-javascript-4
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-javascript-4')
-rwxr-xr-xgettext-tools/tests/xgettext-javascript-452
1 files changed, 52 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-javascript-4 b/gettext-tools/tests/xgettext-javascript-4
new file mode 100755
index 0000000..399b97d
--- /dev/null
+++ b/gettext-tools/tests/xgettext-javascript-4
@@ -0,0 +1,52 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test of JavaScript escape sequences in string literals.
+
+cat <<\EOF > xg-js-4.js
+var s1 = _("Unicode escape \u3042");
+var s2 = _("Surrogate pair \uD835\uDC9C");
+var s3 = _("Escape sequence \1411 \x622 \xxx \y");
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --add-comments --no-location -o xg-js-4.tmp xg-js-4.js 2>xg-js-4.err
+test $? = 0 || { cat xg-js-4.err; exit 1; }
+# Don't simplify this to "grep ... < xg-js-4.tmp", otherwise OpenBSD 4.0 grep
+# only outputs "Binary file (standard input) matches".
+cat xg-js-4.tmp | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d '\r' > xg-js-4.pot
+
+cat <<\EOF > xg-js-4.ok
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+msgid "Unicode escape あ"
+msgstr ""
+
+msgid "Surrogate pair 𝒜"
+msgstr ""
+
+msgid "Escape sequence a1 b2 xxx y"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-js-4.ok xg-js-4.pot
+result=$?
+
+exit $result